Public Member Functions | Public Attributes | Private Member Functions | List of all members
STOFFSpreadsheetListenerInternal::DocumentState Struct Reference

a class to store the document state of a STOFFSpreadsheetListener More...

## Public Member Functions
| DocumentState (std::vector< STOFFPageSpan > const &pageList)
| constructor
| ~DocumentState ()
| destructor

## Public Attributes
std::vector< STOFFPageSpan > | m_pageList
| the pages definition
STOFFPageSpan | m_pageSpan
| the current page span
librevenge::RVNGPropertyList | m_metaData
| the document meta data
int | m_footNoteNumber
| footnote number
int | m_smallPictureNumber
| number of small picture
bool | m_isDocumentStarted
| a flag to know if the document is open
bool | m_isSheetOpened
| a flag to know if a sheet is open
bool | m_isSheetRowOpened
| a flag to know if a row is open
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list
std::map< librevenge::RVNGString, int > | m_numberingIdMap
| a map cell's format to id
std::vector< STOFFSubDocumentPtr > | m_subDocuments
std::set< librevenge::RVNGString > | m_definedFontStyleSet
| list of document actually open
std::set< librevenge::RVNGString > | m_definedGraphicStyleSet
| the set of defined graphic style
std::set< librevenge::RVNGString > | m_definedParagraphStyleSet
| the set of defined paragraph style
STOFFSection | m_section
| an empty section

## Private Member Functions
| DocumentState (const DocumentState &)
DocumentState & | operator= (const DocumentState &)

## Detailed Description

a class to store the document state of a STOFFSpreadsheetListener

## Constructor & Destructor Documentation

## ◆ DocumentState() [1/2]

STOFFSpreadsheetListenerInternal::DocumentState::DocumentState | ( | std::vector< STOFFPageSpan > const & | pageList | ) |
| inline explicit

constructor

## ◆ ~DocumentState()

STOFFSpreadsheetListenerInternal::DocumentState::~DocumentState | ( |  | ) |
| inline

destructor

## ◆ DocumentState() [2/2]

STOFFSpreadsheetListenerInternal::DocumentState::DocumentState | ( | const DocumentState & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

DocumentState & STOFFSpreadsheetListenerInternal::DocumentState::operator= | ( | const DocumentState & |  | ) |
| private

## Member Data Documentation

## ◆ m_definedFontStyleSet

std::set<librevenge::RVNGString> STOFFSpreadsheetListenerInternal::DocumentState::m_definedFontStyleSet

list of document actually open

the set of defined font style

## ◆ m_definedGraphicStyleSet

std::set<librevenge::RVNGString> STOFFSpreadsheetListenerInternal::DocumentState::m_definedGraphicStyleSet

the set of defined graphic style

## ◆ m_definedParagraphStyleSet

std::set<librevenge::RVNGString> STOFFSpreadsheetListenerInternal::DocumentState::m_definedParagraphStyleSet

the set of defined paragraph style

## ◆ m_footNoteNumber

int STOFFSpreadsheetListenerInternal::DocumentState::m_footNoteNumber

footnote number

## ◆ m_isDocumentStarted

bool STOFFSpreadsheetListenerInternal::DocumentState::m_isDocumentStarted

a flag to know if the document is open

## ◆ m_isSheetOpened

bool STOFFSpreadsheetListenerInternal::DocumentState::m_isSheetOpened

a flag to know if a sheet is open

## ◆ m_isSheetRowOpened

bool STOFFSpreadsheetListenerInternal::DocumentState::m_isSheetRowOpened

a flag to know if a row is open

## ◆ m_metaData

librevenge::RVNGPropertyList STOFFSpreadsheetListenerInternal::DocumentState::m_metaData

the document meta data

## ◆ m_numberingIdMap

std::map<librevenge::RVNGString,int> STOFFSpreadsheetListenerInternal::DocumentState::m_numberingIdMap

a map cell's format to id

## ◆ m_pageList

std::vector<STOFFPageSpan> STOFFSpreadsheetListenerInternal::DocumentState::m_pageList

the pages definition

## ◆ m_pageSpan

STOFFPageSpan STOFFSpreadsheetListenerInternal::DocumentState::m_pageSpan

the current page span

## ◆ m_section

STOFFSection STOFFSpreadsheetListenerInternal::DocumentState::m_section

an empty section

## ◆ m_sentListMarkers

std::vector<int> STOFFSpreadsheetListenerInternal::DocumentState::m_sentListMarkers

the list of marker corresponding to sent list

## ◆ m_smallPictureNumber

int STOFFSpreadsheetListenerInternal::DocumentState::m_smallPictureNumber

number of small picture

## ◆ m_subDocuments

std::vector<STOFFSubDocumentPtr> STOFFSpreadsheetListenerInternal::DocumentState::m_subDocuments

The documentation for this struct was generated from the following file:

- STOFFSpreadsheetListener.cxx